Can't MT4 run in VirtualBox XP/Win7?

Back to topics list To post a new topic, please log in or register
avatar
31
wqking 2015.11.21 15:45
 

Hi,

I tried to run latest version MT4 on XP and Win7 in VirtualBox, it crashes on startup.

Can MT4 run in VirtualBox? Or it "detects" the virtual machine and kill itself for anti-debug purpose?

I need to run MT4 in virtual machine to do some test.

Thanks


avatar
145
aakcaagac 2015.11.21 15:49 #
 
If you use WindowsXP then it will require at least SP3. What version of VirtualBox have you tried this? What version of MT4 have you installed?
avatar
31
wqking 2015.11.22 01:13 #
 

VirtualBox 5.0.10.r104061

MT4, since I can't run it, I don't know the version. I download the latest version from both Oanda and MetaTrader. I think the version should be at least Build 902.

Yes, XP has SP3. It's not a problem if it can't run in XP, but at least I need it to run in Win7 SP1.

Win7 is 32 bit, 2G RAM, 32G disk.

avatar
31
wqking 2015.11.22 01:25 #
 

PS: metaeditor also can't run.

I tried to enlarge video memory to 64M, and enabled 2D and 3D accelerate, MT4 still crash. Windows doesn't give the crash reason, it just says MT4 has stopped working.

avatar
31
wqking 2015.11.22 06:55 #
 

I just copy build 902 from my machine to virtual box and it works.

Seems the MT4 version I installed in virtual box is Build 910

http://www.metatrader4.com/en/releasenotes

Build 910 has extra DLLs, metaviewer.dll and metaviewer64.dll, which don't exist in Build 902.

Not sure it's a problem in Build 910.

Back to topics list  

To add comments, please log in or register